function densedBlock = densify(blobBlock)

['Densifying Clutter']

% imshow(~blobBlock);
% 
% diffImage = [];
% for i = 1:10
%     blobBlockDensed = bwmorph(blobBlock,'close',1);
%     diffImage = [diffImage sum(sum(blobBlockDensed - blobBlock))];
%     blobBlock = blobBlockDensed;
% end
% dense = blobBlockDensed; 
% 
% diffImage
% 
% imshow(~dense);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% fname = '\\lampfs01\lamp\Users\mudit\Lamp\ClutterData\workingDir\AFGP-2002-800122df.tif.blobs.tif';
% 
% blobBlock = imread(fname);
% blobBlock = ~blobBlock;

[row,col] = size(blobBlock);
dtMax = zeros(row,col);
% Do a distance transform on white space
dt = bwdist(blobBlock);

% Do a ceil
dt = ceil(dt);

% Pick out points which are max distant apart
for i = 2:row-1
    for j = 2:col-1
        dtWindow = dt(i-1:i+1,j-1:j+1);
        if(max(max(dtWindow)) <= dtWindow(2,2))
            dtMax(i,j) = dt(i,j);
        end
    end
end

% Create histogram of those points and cut a threshold T
vector = reshape(dtMax,[],1);
% h = fspecial('laplacian', 0.5);
% dtMaxFiltered = imfilter(dtMax, h);
histVal = hist(vector, max(vector))
th = getTxtBranchesTh(histVal)-2

%pause;

% All white points T distant apart from these points are turned black
if(th>=1)
    se = strel('square',th*2+1);
    blobBlock = imdilate(blobBlock,se);
    blobBlock = imerode(blobBlock,se);
end
densedBlock = blobBlock;

%densedBlock = ~(dt>th);
['Densified']